Summary:        Network performance tool with modelling and replay support
Name:           uperf
Version:        1.0.7
Release:        1
License:        GPLv3
URL:            http://www.uperf.org/
Source0:        https://github.com/uperf/uperf/archive/%{version}.tar.gz
Patch1:         uperf-1.0.6-ssl-crash.patch
BuildRequires:  gdb-headless gcc automake lksctp-tools-devel openssl-devel

%description
Network performance tool that supports modelling and replay of various
networking patterns.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
find src -type f -print0 | xargs --null chmod 0644
find workloads -type f -print0 | xargs --null chmod 0644
chmod 0644 AUTHORS ChangeLog COPYING README

%build
%configure           \
    --enable-cpc     \
    --enable-netstat \
    --enable-udp     \
    --enable-sctp    \
    --enable-ssl
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# Move stuff to own subdir
install -d -m 0755 %{buildroot}%{_datadir}/%{name}
install -p -m 0644 %{buildroot}%{_datadir}/*.xml %{buildroot}%{_datadir}/%{name}
install -p -m 0644 {server,client}.pem %{buildroot}%{_datadir}/%{name}
rm -rf %{buildroot}%{_datadir}/*.xml %{buildroot}%{_datadir}/doc

%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/uperf
%{_datadir}/uperf

%changelog
* Thu Oct 15 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.0.7-1
- Package init
